/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.tich.util;

import com.liferay.portal.kernel.webcache.WebCacheItem;
import com.liferay.portal.kernel.webcache.WebCachePoolUtil;
import com.liferay.tich.model.Event;

import java.util.List;

/**
 * @author Brian Wing Shun Chan
 */
public class TICHUtil {

	public static List<Event> getEvents() {
		WebCacheItem wci = new EventsWebCacheItem();

		String key = TICHUtil.class.getName();

		List<Event> events = (List<Event>)WebCachePoolUtil.get(key, wci);

		try {
			if (events.size() > 0) {
				Event event = events.get(0);
			}
		}
		catch (ClassCastException cce) {
			WebCachePoolUtil.remove(key);

			events = (List<Event>)WebCachePoolUtil.get(key, wci);
		}

		return events;
	}

}